<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Models\Morale;
use App\Models\Physique;
use App\Models\User;
use App\Providers\RouteServiceProvider;
use Illuminate\Auth\Events\Registered;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use Illuminate\Validation\Rules;

class RegisteredUserController extends Controller
{
    /**
     * Display the registration view.
     *
     * @return \Illuminate\View\View
     */
    public function createP()
    {
        return view('auth.registerP');
    }

    public function createM()
    {
        return view('auth.registerM');
    }

    /**
     * Handle an incoming registration request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\RedirectResponse
     *
     * @throws \Illuminate\Validation\ValidationException
     */
    public function storeP(Request $request)
    {
        /*$request->validate([
            'email' => 'required|string|email|max:255|unique:users',
            'password' => ['required', 'confirmed', Rules\Password::defaults()],
        ]);*/

        $physique = new Physique;
        $physique->nom = $request->nom;
        $physique->prenoms = $request->prenoms;
        $physique->contact = $request->contact;
        $physique->pays = $request->pays;
        $physique->adresse = $request->adresse;
        $physique->save();
        //dd($physique);
        $user = User::create([
            'email' => $request->email,
            'password' => Hash::make($request->password),
            'role' => 'user',
            'physique_id' => $physique->id,
        ]);

        event(new Registered($user));

        Auth::login($user);

        return redirect(RouteServiceProvider::HOME);
    }

    public function storeM(Request $request)
    {
        /*$request->validate([
            'email' => 'required|string|email|max:255|unique:users',
            'password' => ['required', 'confirmed', Rules\Password::defaults()],
        ]);*/


        $morale = Morale::create([
            'entreprise' => $request->entreprise,
            'pays' => $request->pays,
            'contact' => $request->contact,
            'adresse' => $request->adresse,
        ]);


        $user = User::create([
            'email' => $request->email,
            'password' => Hash::make($request->password),
            'role' => 'user',
            'moral_id' => $morale->id,
        ]);

        event(new Registered($user));

        Auth::login($user);

        return redirect(RouteServiceProvider::HOME);
    }
}
