@extends('layouts.table')

@section('content')
<div class="container-fluid" id="container-wrapper">
    <div class="d-sm-flex align-items-center justify-content-between mb-4">
      <h1 class="h3 mb-0 text-gray-800">Catégories</h1>
      @if (Session::has('message'))
      <h4 class="text-primary text-center">{!! Session::get('message') !!}</h4>
      @endif
      @if (Session::has('danger'))
      <h4 class="text-danger text-center">{!! Session::get('danger') !!}</h4>
      @endif
      @error('nom')
        <h4 class="text-danger text-center">Cette catégorie existe déjà</h4>
      @enderror
      <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="./">Admin</a></li>
        <li class="breadcrumb-item">Catégories</li>
        <li class="breadcrumb-item active" aria-current="page">Liste</li>
      </ol>
    </div>

    <!-- Row -->
    <div class="row">
      <!-- DataTable with Hover -->
      <div class="col-lg-12">
        <div class="card mb-4">
          <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-primary">Liste des catégories</h6>
            <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">
                Ajouter
            </button>
          </div>
          <div class="table-responsive p-3">
            <table class="table align-items-center table-flush table-hover" id="dataTableHover">
              <thead class="thead-light text-center">
                <tr>
                  <th>N°</th>
                  <th>Nom</th>
                  <th>Date</th>
                  <th>Actions</th>
                </tr>
              </thead>
              <tfoot class="text-center">
                <tr>
                  <th>N°</th>
                  <th>Nom</th>
                  <th>Date</th>
                  <th>Actions</th>
                </tr>
              </tfoot>
              <tbody class="text-center">
                  @foreach ($categories as $categorie)
                      <tr>
                          <th>{{ $categorie->id }}</th>
                          <th>{{ $categorie->nom }}</th>
                          <th>{{ $categorie->created_at }}</th>
                          <th>

                            <div class="modal fade" id="modifier_{{ $categorie->id }}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                <div class="modal-dialog" role="document">
                                  <div class="modal-content">
                                  <form action="{{ route('update_categorie', ['id' => $categorie->id ] ) }}" method="post">
                                    @csrf
                                    <div class="modal-header">
                                      <h5 class="modal-title" id="exampleModalLabel">Modifier</h5>
                                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                      </button>
                                    </div>
                                    <div class="modal-body">
                                        <div class="form-group">
                                            <input type="text" name="nom" class="form-control" placeholder="Entrez votre catégorie" value="{{ $categorie->nom }}">
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                      <button type="reset" class="btn btn-secondary" data-dismiss="modal">Annuler</button>
                                      <button type="submit" class="btn btn-primary">Créer</button>
                                    </div>
                                  </form>
                                  </div>
                                </div>
                              </div>

                              <div class="modal fade" id="supprimer_{{ $categorie->id }}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                <div class="modal-dialog" role="document">
                                  <div class="modal-content">
                                  <form action="{{ route('destroy_categorie', ['id' => $categorie->id ] ) }}" method="post">
                                    @csrf
                                    <div class="modal-header">
                                      <h5 class="modal-title" id="exampleModalLabel">Supprimer</h5>
                                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                      </button>
                                    </div>
                                    <div class="modal-body">
                                        <div class="text-center">Êtes vous sûr de vouloir supprimer la catégorie {{ $categorie->nom }} ?</div>
                                    </div>
                                    <div class="modal-footer">
                                      <button type="reset" class="btn btn-secondary" data-dismiss="modal">Annuler</button>
                                      <button type="submit" class="btn btn-primary">Valider</button>
                                    </div>
                                  </form>
                                  </div>
                                </div>
                              </div>

                              <button class="btn btn-primary" data-toggle="modal" data-target="#modifier_{{ $categorie->id }}">Modifier</button>
                              <button class="btn btn-danger" data-toggle="modal" data-target="#supprimer_{{ $categorie->id }}">Supprimer</button>
                          </th>
                      </tr>
                  @endforeach
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
    <!--Row-->

  </div>

  <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
      <form action="{{ route('liste_admin_categorie') }}" method="post">
        @csrf
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Nouvelle catégorie</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
            <div class="form-group">
                <input type="text" name="nom" class="form-control" placeholder="Entrez votre catégorie">
            </div>
        </div>
        <div class="modal-footer">
          <button type="reset" class="btn btn-secondary" data-dismiss="modal">Annuler</button>
          <button type="submit" class="btn btn-primary">Créer</button>
        </div>
      </form>
      </div>
    </div>
  </div>


@endsection
